--- zimpl-3.0.0+dfsg1.orig/debian/docs
+++ zimpl-3.0.0+dfsg1/debian/docs
@@ -0,0 +1 @@
+README
--- zimpl-3.0.0+dfsg1.orig/debian/rules
+++ zimpl-3.0.0+dfsg1/debian/rules
@@ -0,0 +1,94 @@
+#!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
+.NOTPARALLEL:
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+  CFLAGS += -O0
+else
+  CFLAGS += -O6
+endif
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+  CPPFLAGS += -g
+else
+  CPPFLAGS += -DNDEBUG
+endif
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+  INSTALL_PROGRAM += -s
+endif
+
+
+
+build: build-stamp
+build-stamp: patch-stamp
+	dh_testdir
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" $(MAKE)
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" $(MAKE) check
+endif
+	touch $@
+
+clean: clean-patched unpatch
+clean-patched: patch
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp
+	$(MAKE) clean
+	cd check/warnings && rm -f w215.warn w215.tbl w215.mst w215.lp
+	dh_clean 
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+	cp -L bin/zimpl bin/zimpl.real
+	rm bin/zimpl
+	mv bin/zimpl.real bin/zimpl
+	dh_install bin/zimpl usr/bin
+
+binary-indep: build install
+
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs CHANGELOG
+	dh_installdocs
+	dh_installexamples example/*
+	dh_installman doc/zimpl.man
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+
+patch: patch-stamp
+patch-stamp:
+	dpatch apply-all
+	touch $@
+
+unpatch:
+	dpatch deapply-all
+	rm -fr patch-stamp debian/patched
+
+get-orig-source:
+	wget http://zimpl.zib.de/download/zimpl-2.09.tgz
+	tar xzf zimpl-2.09.tgz
+	rm zimpl-2.09.tgz
+	rm -r zimpl-2.09/doc/zimpl.pdf
+	mv zimpl-2.09 zimpl-2.09.ds1
+	tar cf - zimpl-2.09.ds1 | gzip --best >zimpl_2.09.ds1.orig.tar.gz
+	rm -r zimpl-2.09.ds1
+
+.PHONY: build clean clean-patched install binary-indep binary-arch binary \
+patch unpatch get-orig-source
--- zimpl-3.0.0+dfsg1.orig/debian/dirs
+++ zimpl-3.0.0+dfsg1/debian/dirs
@@ -0,0 +1,3 @@
+usr/bin
+usr/share/man/man1
+usr/share/doc/zimpl/examples
--- zimpl-3.0.0+dfsg1.orig/debian/changelog
+++ zimpl-3.0.0+dfsg1/debian/changelog
@@ -0,0 +1,84 @@
+zimpl (3.0.0+dfsg1-4) unstable; urgency=low
+
+  * Make sure package does not get accidentally build as debug version
+    (Closes: #552961).
+  * Add patch display-check-failures.dpatch to simplify the debugging of
+    failing unit tests.
+
+ -- Joachim Reichel <reichel@debian.org>  Tue, 17 Nov 2009 20:12:43 +0100
+
+zimpl (3.0.0+dfsg1-3) unstable; urgency=low
+
+  * Add patch kfreebsd.dpatch: Fix build error on kFreeBSD (Closes: #550282).
+  * Improve patch build.dpatch: Fail if not all tests pass.
+
+ -- Joachim Reichel <reichel@debian.org>  Tue, 20 Oct 2009 18:59:04 +0200
+
+zimpl (3.0.0+dfsg1-2) unstable; urgency=low
+
+  * Re-enable test suite which was accidentially disabled in 2.09.ds1-1.
+
+ -- Joachim Reichel <reichel@debian.org>  Wed, 16 Sep 2009 19:32:40 +0200
+
+zimpl (3.0.0+dfsg1-1) unstable; urgency=low
+
+  * New upstream release.
+  * Update Standards-Version to 3.8.3 (no changes needed).
+
+ -- Joachim Reichel <reichel@debian.org>  Wed, 16 Sep 2009 18:46:52 +0200
+
+zimpl (2.09.ds1-1) unstable; urgency=low
+
+  * New upstream release.
+  * Update Standards-Version to 3.8.1 (add support for nocheck in
+    DEB_BUILD_OPTIONS).
+
+ -- Joachim Reichel <reichel@debian.org>  Fri, 01 May 2009 17:08:30 +0200
+
+zimpl (2.08.ds1-1) unstable; urgency=low
+
+  * New upstream release.
+  * debian/control: Replace Suggests: glpk by new package name glpk-utils.
+  * debian/control: Update Standards-Version to 3.8.0 (no changes needed).
+  * Remove patch check.dpatch: No longer needed.
+
+ -- Joachim Reichel <reichel@debian.org>  Sun, 18 Jan 2009 15:51:17 +0100
+
+zimpl (2.07.ds1-2) unstable; urgency=low
+
+  * debian/rules: Quote CFLAGS and CPPFLAGS in make calls (Closes: #476017),
+    thanks to Mike O'Connor for the patch.
+  * debian/control: Add Homepage: field, adjust Description: accordingly.
+  * debian/control: Update Standards-Version to 3.7.3 (no changes needed).
+  * Add patch manpage.dpatch: Fix typo in manpage.
+
+ -- Joachim Reichel <joachim.reichel@gmx.de>  Wed, 16 Apr 2008 18:17:48 +0200
+
+zimpl (2.07.ds1-1) unstable; urgency=low
+
+  * New upstream release.
+  * Add patch check.dpatch: the different number format is a known problem
+    without consequences.
+  * Add watch file.
+
+ -- Joachim Reichel <joachim.reichel@gmx.de>  Mon,  3 Sep 2007 18:59:32 +0200
+
+zimpl (2.05.ds2-1) unstable; urgency=low
+
+  * New upstream release (upstream fixed some packaging errors without
+    increasing the version number).
+  * Update URL of homepage.
+
+ -- Joachim Reichel <joachim.reichel@gmx.de>  Sat,  4 Nov 2006 16:50:36 +0100
+
+zimpl (2.05.ds1-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Joachim Reichel <joachim.reichel@gmx.de>  Mon, 18 Sep 2006 20:28:50 +0200
+
+zimpl (2.04.ds1-1) unstable; urgency=low
+
+  * Initial release (Closes: #365073).
+
+ -- Joachim Reichel <joachim.reichel@gmx.de>  Wed, 19 Jul 2006 15:39:36 +0200
--- zimpl-3.0.0+dfsg1.orig/debian/copyright
+++ zimpl-3.0.0+dfsg1/debian/copyright
@@ -0,0 +1,71 @@
+This package was debianized by Joachim Reichel <joachim.reichel@gmx.de> on
+Tue, 20 Jun 2006 20:33:32 +0200.
+
+It was downloaded from http://zimpl.zib.de/.
+
+
+Upstream Author:
+
+   Thorsten Koch <koch@zib.de>
+
+
+Copyright:
+
+   Copyright (C) 2001-2008, Thorsten Koch <koch@zib.de>
+
+
+License:
+
+   This program is free software; you can redistribute it and/or
+   modify it under the terms of the GNU General Public License
+   as published by the Free Software Foundation; either version 2
+   of the License, or (at your option) any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+
+src/mmlparse.h and src/mmlparse.c:
+
+   Skeleton parser for Yacc-like parsing with Bison,
+   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004
+   Free Software Foundation, Inc.
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+   As a special exception, when this file is copied by Bison into a
+   Bison output file, you may use that output file without restriction.
+   This special exception was added by the Free Software Foundation
+   in version 1.24 of Bison.
+
+
+parts of src/numbgmp.c:
+
+   Copyright (C) 1997 - 2002, Makoto Matsumoto and Takuji Nishimura,
+   All rights reserved.
+
+   This part of the code is licensed under the new BSD license,
+   see `/usr/share/common-licenses/BSD'.
+
+
+The Debian packaging is Copyright (C) 2006-2009, Joachim Reichel
+<joachim.reichel@gmx.de> and is licensed under the GPL, see
+`/usr/share/common-licenses/GPL'.
--- zimpl-3.0.0+dfsg1.orig/debian/README.source
+++ zimpl-3.0.0+dfsg1/debian/README.source
@@ -0,0 +1,13 @@
+zimpl for Debian
+----------------
+
+The upstream tarball of zimpl has been repackaged for Debian since it contains
+material with unclear license conditions. In particular, the following files
+have been removed from the upstream tarball:
+
+  doc/zimpl.pdf
+
+The repackaged tarball used by Debian can be regenerated using the target
+get-orig-source in debian/rules.
+
+ -- Joachim Reichel <joachim.reichel@gmx.de>, Wed, 19 Jul 2006 15:39:36 +0200
--- zimpl-3.0.0+dfsg1.orig/debian/README.Debian
+++ zimpl-3.0.0+dfsg1/debian/README.Debian
@@ -0,0 +1,8 @@
+zimpl for Debian
+----------------
+
+The upstream tarball of zimpl contains the manual in PDF format which had to be
+removed from the Debian package due to unclear license conditions. The manual is
+available from the homepage http://zimpl.zib.de/.
+
+ -- Joachim Reichel <joachim.reichel@gmx.de>, Fri, 14 Jul 2006 22:03:22 +0200
--- zimpl-3.0.0+dfsg1.orig/debian/control
+++ zimpl-3.0.0+dfsg1/debian/control
@@ -0,0 +1,17 @@
+Source: zimpl
+Section: science
+Priority: optional
+Maintainer: Joachim Reichel <reichel@debian.org>
+Build-Depends: debhelper (>= 5), dpatch, libgmp3-dev, zlib1g-dev
+Standards-Version: 3.8.3
+Homepage: http://zimpl.zib.de/
+
+Package: zimpl
+Architecture: any
+Depends: ${shlibs:Depends}
+Suggests: glpk-utils
+Description: mathematical modeling language for optimization problems
+ Zimpl allows the specification of certain optimization problems - linear
+ programs (LPs) and mixed integer programs (MIPs) - in a high-level
+ description language. These descriptions can be converted into the
+ LP or MPS file formats which are understood by LP and MIP solvers.
--- zimpl-3.0.0+dfsg1.orig/debian/compat
+++ zimpl-3.0.0+dfsg1/debian/compat
@@ -0,0 +1 @@
+5
--- zimpl-3.0.0+dfsg1.orig/debian/watch
+++ zimpl-3.0.0+dfsg1/debian/watch
@@ -0,0 +1,2 @@
+version=3
+opts="dversionmangle=s/\+dfsg\d+$//" http://zimpl.zib.de/download/zimpl-(.*)\.tgz
--- zimpl-3.0.0+dfsg1.orig/debian/patches/build.dpatch
+++ zimpl-3.0.0+dfsg1/debian/patches/build.dpatch
@@ -0,0 +1,84 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## build.dpatch by Joachim Reichel <reichel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix build system to work with debian/rules.
+## DP: Fail if not all tests pass.
+
+@DPATCH@
+diff -urNad zimpl-3.0.0+dfsg1~/Makefile zimpl-3.0.0+dfsg1/Makefile
+--- zimpl-3.0.0+dfsg1~/Makefile	2009-10-12 19:17:11.000000000 +0200
++++ zimpl-3.0.0+dfsg1/Makefile	2009-10-12 19:17:11.000000000 +0200
+@@ -47,7 +47,9 @@
+ VERBOSE		=	false
+ OPT		=	opt
+ COMP		=	gnu
++ifndef CC
+ CC		=	gcc
++endif
+ YACC		=	bison
+ LEX		=	flex
+ DCC		=	gcc
+@@ -61,8 +63,9 @@
+ BINDIR		=	bin
+ LIBDIR		=	lib
+ 
+-CPPFLAGS	=	-I$(SRCDIR) -DVERSION='"$(VERSION)"'
+-CFLAGS		=	-O
++CPPFLAGS	+=	-I$(SRCDIR) -DVERSION='"$(VERSION)"'
++CPPFLAGS	+=	-DNO_MSHELL -D__NO_MATH_INLINES
++#CFLAGS		=	-O
+ LDFLAGS		=	-lgmp -lz -lm
+ YFLAGS		=	-d -t -v  
+ LFLAGS		=	-d
+@@ -75,7 +78,7 @@
+ 			-Wno-unused -Wno-unknown-pragmas 
+ 
+ BASE		=	$(OSTYPE).$(ARCH).$(COMP).$(OPT)
+-OBJDIR		=	obj/O.$(BASE)
++OBJDIR		=	obj
+ NAME		=	zimpl
+ BINNAME		=	$(NAME)-$(VERSION).$(BASE)
+ LIBNAME		=	$(NAME)-$(VERSION).$(BASE)
+@@ -109,10 +112,10 @@
+ LIBSRC		=	$(addprefix $(SRCDIR)/,$(LIBOBJ:.o=.c)) #(SRCDIR)/numbdbl.c
+ 
+ #-----------------------------------------------------------------------------
+-include make/make.$(BASE)
+--include make/local/make.$(HOSTNAME)
+--include make/local/make.$(HOSTNAME).$(COMP)
+--include make/local/make.$(HOSTNAME).$(COMP).$(OPT)
++#include make/make.$(BASE)
++#-include make/local/make.$(HOSTNAME)
++#-include make/local/make.$(HOSTNAME).$(COMP)
++#-include make/local/make.$(HOSTNAME).$(COMP).$(OPT)
+ #-----------------------------------------------------------------------------
+ 
+ ifeq ($(VERBOSE),false)
+@@ -198,7 +201,7 @@
+ 		@-mkdir -p $(BINDIR)
+ 
+ clean:
+-		-rm -rf $(OBJDIR)/* $(BINARY) $(LIBRARY) $(LIBRARYDBL) $(LIBLINK) $(BINLINK) $(BINSHORTLINK)
++		-rm -rf $(OBJDIR) $(BINDIR) $(LIBDIR)
+ 
+ depend:
+ 		$(SHELL) -ec '$(DCC) $(DFLAGS) $(CPPFLAGS) $(OBJSRC) $(LIBSRC) \
+diff -urNad zimpl-3.0.0+dfsg1~/check/check.sh zimpl-3.0.0+dfsg1/check/check.sh
+--- zimpl-3.0.0+dfsg1~/check/check.sh	2009-09-10 11:25:08.000000000 +0200
++++ zimpl-3.0.0+dfsg1/check/check.sh	2009-10-12 19:18:11.000000000 +0200
+@@ -170,10 +170,12 @@
+    rm $NAME.err
+ done 2>/dev/null
+ 
+-if [ $PASS -eq $COUNT ] ; then echo All $PASS tests passed; 
+-else echo FAILURE! Only $PASS of $COUNT tests passed; 
++if [ $PASS -ne $COUNT ] ; then
++    echo FAILURE! Only $PASS of $COUNT tests passed
++    exit 1
+ fi
+ 
++echo All $PASS tests passed
+ 
+ 
+ 
--- zimpl-3.0.0+dfsg1.orig/debian/patches/00list
+++ zimpl-3.0.0+dfsg1/debian/patches/00list
@@ -0,0 +1,4 @@
+build.dpatch
+display-check-failures.dpatch
+manpage.dpatch
+kfreebsd.dpatch
--- zimpl-3.0.0+dfsg1.orig/debian/patches/kfreebsd.dpatch
+++ zimpl-3.0.0+dfsg1/debian/patches/kfreebsd.dpatch
@@ -0,0 +1,18 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## kfreebsd.dpatch by Joachim Reichel <reichel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Replace / by _ in uname output.
+
+@DPATCH@
+diff -urNad zimpl-3.0.0+dfsg1~/Makefile zimpl-3.0.0+dfsg1/Makefile
+--- zimpl-3.0.0+dfsg1~/Makefile	2009-10-10 19:23:01.000000000 +0200
++++ zimpl-3.0.0+dfsg1/Makefile	2009-10-10 19:23:33.000000000 +0200
+@@ -38,6 +38,7 @@
+ 			-e s/00........../pwr4/)
+ OSTYPE          :=      $(shell uname -s | \
+                         tr '[:upper:]' '[:lower:]' | \
++                        tr '/' '_' | \
+                         sed \
+ 			-e s/cygwin.*/cygwin/ \
+                         -e s/irix../irix/ )
--- zimpl-3.0.0+dfsg1.orig/debian/patches/manpage.dpatch
+++ zimpl-3.0.0+dfsg1/debian/patches/manpage.dpatch
@@ -0,0 +1,169 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## manpage.dpatch by Joachim Reichel <joachim.reichel@gmx.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix typos and encoding errors.
+
+@DPATCH@
+diff -urNad zimpl-2.09.ds1~/doc/zimpl.man zimpl-2.09.ds1/doc/zimpl.man
+--- zimpl-2.09.ds1~/doc/zimpl.man	2009-04-26 19:34:04.000000000 +0200
++++ zimpl-2.09.ds1/doc/zimpl.man	2009-04-26 19:34:14.000000000 +0200
+@@ -3,27 +3,27 @@
+ .\"
+ .TH ZIMPL 1 "23 April 2009" Linux "User Manuals"
+ .SH NAME
+-zimpl \- Zuse Institute Mathematical Programming Language
++zimpl - Zuse Institute Mathematical Programming Language
+ .SH SYNOPSIS
+-.B zimpl  [ -b ] [ -D
++.B zimpl  [ \-b ] [ \-D
+ .I name=value
+-.B ] [ -f ] [ -F
++.B ] [ \-f ] [ \-F
+ .I filter
+-.B ] [ -h ] [ -m ] [ -l
++.B ] [ \-h ] [ \-m ] [ \-l
+ .I length
+-.B [ -n
++.B [ \-n
+ .I cm|cn|cf
+-.B ] [ -o
++.B ] [ \-o
+ .I outfile
+-.B ] [ -O ] [ -P
++.B ] [ \-O ] [ \-P
+ .I filter
+-.B [ -r ] [ -t
++.B [ \-r ] [ \-t
+ .I lp|mps|hum|rlp
+-.B ] [ -s
++.B ] [ \-s
+ .I seed
+-.B ] [ -v
+-.I 0-5
+-.B ] [ -V ]
++.B ] [ \-v
++.I 0\-5
++.B ] [ \-V ]
+ .I file
+ .B ...
+ .SH DESCRIPTION
+@@ -33,16 +33,16 @@
+ or MPS file format which can be read by a LP or MIP solver.
+ 
+ None of the options is neccessary. All input files in 
+-.I zpl
++.B zpl
+ format that are given are concatenated and processed as if they are
+ one big file. This makes is possible to combine different parts of a
+ model on the command line. In this case the first filename given will
+ be used as basename for the output files in absence of an 
+-.B -o
++.B \-o
+ option.
+ 
+ The 
+-.B -t
++.B \-t
+ option is to select the output format. 
+ .B mps 
+ can be read by every
+@@ -64,31 +64,31 @@
+ format, but rows and columns are randomly permuted.
+  
+ .SH OPTIONS
+-.IP -b
++.IP \-b
+ Enable 
+ .BR bison (1)
+ debugging output.
+-.IP "-D name=value"
++.IP "\-D name=value"
+ Sets the parameter
+ .I name
+ to the specified value. This is equivalent with having this line in the
+ Zimpl program: param name:=val .
+-.IP -f
++.IP \-f
+ Enable
+ .BR flex (1)
+ debugging output.
+-.IP "-F filter"
++.IP "\-F filter"
+ The output is piped through a filter. A %s in the
+ string is replaced by the output filename. For example: 
+--F "gzip -c >%s.gz" would compress all the 
++\-F "gzip \-c >%s.gz" would compress all the 
+ output files.
+-.IP -h
++.IP \-h
+ Show program help.
+-.IP "-l length"
++.IP "\-l length"
+ Sets the maximum length for variable names in LPF output files.
+-.IP -m
++.IP \-m
+ Write a CPLEX .mst Mip STart file.
+-.IP "-n cm|cn|cf"
++.IP "\-n cm|cn|cf"
+ Select the format for the generation of constraint
+ names. Can be either 
+ .I cm 
+@@ -102,21 +102,21 @@
+ then a 1 .. n number like in 
+ .I cm 
+ and then append all the local variables from the forall statements.
+-.IP "-o outfile"
++.IP "\-o outfile"
+ Sets the base-name for the output files. Default is the name of the
+ input file without extension.
+-.IP -O 
++.IP \-O 
+ Optimize the generated LP by doing some presolve analysis (experimental).
+-.IP "-P filter" 
++.IP "\-P filter" 
+ The input is piped through a filter. A %s in the
+ string is replaced by the input filename. For example: 
+--F "cpp -DWITH_C1 %s" would pass the input file through the
++\-F "cpp \-DWITH_C1 %s" would pass the input file through the
+ C-preprocessor.
+-.IP -r 
++.IP \-r 
+ Write a CPLEX .ord branching order file.
+-.IP "-s seed"
++.IP "\-s seed"
+ Set the random number generator seed.
+-.IP "-t lp|mps|hum"
++.IP "\-t lp|mps|hum"
+ Selects the output format. Can be either 
+ .I lp
+ which is default, or 
+@@ -124,10 +124,10 @@
+ , or
+ .I hum 
+ , which is (only) human readable.
+-.IP "-v 0-5"
++.IP "\-v 0\-5"
+ Set the verbosity level. 0 is quiet, 1 is default,
+ 2 is verbose, 3 is chatter, and 5 is debug.
+-.IP -V
++.IP \-V
+ Prints the version number.
+ .\".SH FILES
+ .\".SH ENVIRONMENT
+@@ -137,13 +137,13 @@
+ 101 Bad filename
+ .RS
+ The name given with the 
+-.B -o option 
++.B \-o option 
+ is either missing, a directory name, or starts with a dot.
+ .RE
+ 175 Illegal syntax for command line define -- ignored
+ .RS
+ The parameter of a 
+-.B -D 
++.B \-D 
+ option was either not of the form 
+ .I "name=value"
+ or the name was not a legal identifier.
--- zimpl-3.0.0+dfsg1.orig/debian/patches/display-check-failures.dpatch
+++ zimpl-3.0.0+dfsg1/debian/patches/display-check-failures.dpatch
@@ -0,0 +1,112 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## display-check-failures.dpatch by Joachim Reichel <reichel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Display diffs for failing unit tests.
+
+@DPATCH@
+diff -urNad zimpl-3.0.0+dfsg1~/check/check.sh zimpl-3.0.0+dfsg1/check/check.sh
+--- zimpl-3.0.0+dfsg1~/check/check.sh	2009-11-17 19:05:50.000000000 +0100
++++ zimpl-3.0.0+dfsg1/check/check.sh	2009-11-17 19:06:15.000000000 +0100
+@@ -32,14 +32,14 @@
+ do
+    COUNT=`expr $COUNT + 1` 
+    $1 -v0 $i.zpl
+-   diff $i.lp $i.lp.ref >/dev/null
++   diff -u  $i.lp $i.lp.ref
+    case $? in
+     0) echo Test $i "(lp)" OK; PASS=`expr $PASS + 1` ;;
+     1) echo Test $i "(lp)" FAIL ;;
+     *) echo Test $i "(lp)" ERROR ;;
+    esac
+    COUNT=`expr $COUNT + 1` 
+-   diff $i.tbl $i.tbl.ref >/dev/null
++   diff -u  $i.tbl $i.tbl.ref
+    case $? in
+     0) echo Test $i "(tbl)" OK; PASS=`expr $PASS + 1`  ;;
+     1) echo Test $i "(tbl)" FAIL ;;
+@@ -51,28 +51,28 @@
+ do
+    COUNT=`expr $COUNT + 1` 
+    $1 -v0 -Distart=5 -O -t mps -r -m -n cm $i.zpl
+-   diff $i.mps $i.mps.ref >/dev/null
++   diff -u  $i.mps $i.mps.ref
+    case $? in
+     0) echo Test $i "(mps)" OK; PASS=`expr $PASS + 1` ;;
+     1) echo Test $i "(mps)" FAIL ;;
+     *) echo Test $i "(mps)" ERROR ;;
+    esac
+    COUNT=`expr $COUNT + 1` 
+-   diff $i.tbl $i.tbl.ref >/dev/null
++   diff -u  $i.tbl $i.tbl.ref
+    case $? in
+     0) echo Test $i "(tbl)" OK; PASS=`expr $PASS + 1`  ;;
+     1) echo Test $i "(tbl)" FAIL ;;
+     *) echo Test $i "(tbl)" ERROR ;;
+    esac
+    COUNT=`expr $COUNT + 1` 
+-   diff $i.mst $i.mst.ref >/dev/null
++   diff -u  $i.mst $i.mst.ref
+    case $? in
+     0) echo Test $i "(mst)" OK; PASS=`expr $PASS + 1`  ;;
+     1) echo Test $i "(mst)" FAIL ;;
+     *) echo Test $i "(mst)" ERROR ;;
+    esac
+    COUNT=`expr $COUNT + 1` 
+-   diff $i.ord $i.ord.ref >/dev/null
++   diff -u  $i.ord $i.ord.ref
+    case $? in
+     0) echo Test $i "(ord)" OK; PASS=`expr $PASS + 1`  ;;
+     1) echo Test $i "(ord)" FAIL ;;
+@@ -83,7 +83,7 @@
+ #
+    COUNT=`expr $COUNT + 1` 
+    $1 -v0 -Distart=4 -t hum -n cf presol.zpl
+-   diff presol.hum presol.hum.ref >/dev/null
++   diff -u  presol.hum presol.hum.ref
+    case $? in
+     0) echo Test presol.zpl "(hum)" OK; PASS=`expr $PASS + 1` ;;
+     1) echo Test presol.zpl "(hum)" FAIL ;;
+@@ -94,7 +94,7 @@
+ #
+    COUNT=`expr $COUNT + 1` 
+    $1 -v0 print.zpl >print.out
+-   diff print.out print.out.ref >/dev/null
++   diff -u  print.out print.out.ref
+    case $? in
+     0) echo Test print.zpl "(out)" OK; PASS=`expr $PASS + 1` ;;
+     1) echo Test print.zpl "(out)" FAIL ;;
+@@ -109,7 +109,7 @@
+    COUNT=`expr $COUNT + 1` 
+    NAME=`basename $i .zpl`
+    ../$1 $i 2>$NAME.warn >/dev/null
+-   diff $NAME.warn $NAME.warn.ref >/dev/null
++   diff -u  $NAME.warn $NAME.warn.ref
+    case $? in
+     0) echo Test $i "(warn)" OK; PASS=`expr $PASS + 1`  ;;
+     1) echo Test $i "(warn)" FAIL ;;
+@@ -122,13 +122,13 @@
+ COUNT=`expr $COUNT + 2` 
+ NAME=w215
+ ../$1 -m $NAME 2>$NAME.warn >/dev/null
+-diff $NAME.warn $NAME-m.warn.ref >/dev/null
++diff -u  $NAME.warn $NAME-m.warn.ref
+ case $? in
+  0) echo Test $NAME "-1 (warn)" OK; PASS=`expr $PASS + 1`  ;;
+  1) echo Test $NAME "-1 (warn)" FAIL ;;
+  *) echo Test $NAME "-1 (warn)" ERROR ;;
+ esac
+-diff $NAME.mst $NAME.mst.ref >/dev/null
++diff -u  $NAME.mst $NAME.mst.ref
+ case $? in
+  0) echo Test $NAME "-2 (warn)" OK; PASS=`expr $PASS + 1`  ;;
+  1) echo Test $NAME "-2 (warn)" FAIL ;;
+@@ -144,7 +144,7 @@
+    COUNT=`expr $COUNT + 1` 
+    NAME=`basename $i .zpl`
+    ../$1 -v0 $i 2>$NAME.err
+-   diff $NAME.err $NAME.err.ref >/dev/null
++   diff -u  $NAME.err $NAME.err.ref
+    case $? in
+     0) echo Test $i "(err)" OK; PASS=`expr $PASS + 1`  ;;
+     1) echo Test $i "(err)" FAIL ;;
